import { h } from "@stencil/core";
export class BpSdkQuoteRequestCoverageList {
    constructor() {
        this.coverages = [];
        this.useExternal = false;
    }
    resetState() { }
    componentWillLoad() {
        this.useExternal = !!customElements.get('bp-sdk-external-quote-request-coverage-list');
        customElements.whenDefined('bp-sdk-external-quote-request-coverage-list').then(() => {
            this.useExternal = true;
        });
    }
    render() {
        return [this.useExternal && this.renderExternal(), !this.useExternal && this.renderInternal()];
    }
    renderExternal() {
        return h("bp-sdk-external-quote-request-coverage-list", { coverages: this.coverages });
    }
    renderInternal() {
        return (h("div", { class: "bp-sdk-quote-request-coverage-list__container bp-sdk-online-quote__coverages bp-sdk-quote__coverages" }, this.coverages.map((coverage) => (h("bp-sdk-quote-request-coverage-item-container", { coverage: coverage })))));
    }
    static get is() { return "bp-sdk-quote-request-coverage-list"; }
    static get originalStyleUrls() {
        return {
            "$": ["./bp-sdk-quote-request-coverage-list.css"]
        };
    }
    static get styleUrls() {
        return {
            "$": ["bp-sdk-quote-request-coverage-list.css"]
        };
    }
    static get properties() {
        return {
            "coverages": {
                "type": "unknown",
                "mutable": false,
                "complexType": {
                    "original": "ICoverageLabel[]",
                    "resolved": "ICoverageLabel[]",
                    "references": {
                        "ICoverageLabel": {
                            "location": "import",
                            "path": "@boldpenguin/sdk-types",
                            "id": "../sdk-types/dist/types.d.ts::ICoverageLabel"
                        }
                    }
                },
                "required": false,
                "optional": false,
                "docs": {
                    "tags": [],
                    "text": "Coverages for quote"
                },
                "defaultValue": "[]"
            }
        };
    }
    static get states() {
        return {
            "useExternal": {}
        };
    }
}
